org.eclipse.oomph.setup.git.impl

## Class GitCloneTaskImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.setup.impl.SetupTaskImpl
            - - org.eclipse.oomph.setup.git.impl.GitCloneTaskImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, GitCloneTask, SetupTask

      public class GitCloneTaskImpl
      extends SetupTaskImpl
      implements GitCloneTask

  An implementation of the model object 'Git Clone Task'.

  The following features are implemented:

  - `Location`
  - `Remote Name`
  - `Remote URI`
  - `Push URI`
  - `Checkout Branch`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `SetupTaskImpl.RunnableWithContext, SetupTaskImpl.TypedStringToken`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `CHECKOUT_BRANCH_EDEFAULT` The default value of the '`Checkout Branch`' attribute.
    `protected String` | `checkoutBranch` The cached value of the '`Checkout Branch`' attribute.
    `protected String` | `location` The cached value of the '`Location`' attribute.
    `protected static String` | `LOCATION_EDEFAULT` The default value of the '`Location`' attribute.
    `protected static String` | `PUSH_URI_EDEFAULT` The default value of the '`Push URI`' attribute.
    `protected String` | `pushURI` The cached value of the '`Push URI`' attribute.
    `protected static String` | `REMOTE_NAME_EDEFAULT` The default value of the '`Remote Name`' attribute.
    `protected static String` | `REMOTE_URI_EDEFAULT` The default value of the '`Remote URI`' attribute.
    `protected String` | `remoteName` The cached value of the '`Remote Name`' attribute.
    `protected String` | `remoteURI` The cached value of the '`Remote URI`' attribute.

    - ### Fields inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `description, DESCRIPTION_EDEFAULT, disabled, DISABLED_EDEFAULT, excludedTriggers, iD, ID_EDEFAULT, predecessors, restrictions, SCOPE_TYPE_EDEFAULT, successors`

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GitCloneTaskImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()` Subclasses may override to reset this task to its initial state.
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `String` | `getCheckoutBranch()`
    `String` | `getLocation()`
    `Object` | `getOverrideToken()` Subclasses may override to indicate that this task overrides another task with the same token.
    `String` | `getPushURI()`
    `String` | `getRemoteName()`
    `String` | `getRemoteURI()`
    `boolean` | `isNeeded(SetupTaskContext context)`
    `void` | `overrideFor(SetupTask overriddenSetupTask)`
    `void` | `perform(SetupTaskContext context)`
    `void` | `setCheckoutBranch(String newCheckoutBranch)`
    `void` | `setLocation(String newLocation)`
    `void` | `setPushURI(String newPushURI)`
    `void` | `setRemoteName(String newRemoteName)`
    `void` | `setRemoteURI(String newRemoteURI)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `consolidate, createResolvedURI, createToken, getDescription, getExcludedTriggers, getID, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, performUI, requires, setDescription, setDisabled, setExcludedTriggers, setExcludedTriggersGen, setID`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, eInverseRemove, eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, getDescription, getExcludedTriggers, getID, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### LOCATION_EDEFAULT

          protected static final String LOCATION_EDEFAULT

      The default value of the '`Location`' attribute.
      See Also:
        `getLocation()`, Constant Field Values
      Generated
      Ordered

    - #### location

          protected String location

      The cached value of the '`Location`' attribute.
      See Also:
        `getLocation()`
      Generated
      Ordered

    - #### REMOTE_NAME_EDEFAULT

          protected static final String REMOTE_NAME_EDEFAULT

      The default value of the '`Remote Name`' attribute.
      See Also:
        `getRemoteName()`, Constant Field Values
      Generated
      Ordered

    - #### remoteName

          protected String remoteName

      The cached value of the '`Remote Name`' attribute.
      See Also:
        `getRemoteName()`
      Generated
      Ordered

    - #### REMOTE_URI_EDEFAULT

          protected static final String REMOTE_URI_EDEFAULT

      The default value of the '`Remote URI`' attribute.
      See Also:
        `getRemoteURI()`
      Generated
      Ordered

    - #### remoteURI

          protected String remoteURI

      The cached value of the '`Remote URI`' attribute.
      See Also:
        `getRemoteURI()`
      Generated
      Ordered

    - #### PUSH_URI_EDEFAULT

          protected static final String PUSH_URI_EDEFAULT

      The default value of the '`Push URI`' attribute.
      See Also:
        `getPushURI()`
      Generated
      Ordered

    - #### pushURI

          protected String pushURI

      The cached value of the '`Push URI`' attribute.
      See Also:
        `getPushURI()`
      Generated
      Ordered

    - #### CHECKOUT_BRANCH_EDEFAULT

          protected static final String CHECKOUT_BRANCH_EDEFAULT

      The default value of the '`Checkout Branch`' attribute.
      See Also:
        `getCheckoutBranch()`, Constant Field Values
      Generated
      Ordered

    - #### checkoutBranch

          protected String checkoutBranch

      The cached value of the '`Checkout Branch`' attribute.
      See Also:
        `getCheckoutBranch()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### GitCloneTaskImpl

          protected GitCloneTaskImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `SetupTaskImpl`
      Generated

    - #### getLocation

          public String getLocation()

      Specified by:
        `getLocation` in interface `GitCloneTask`
      Returns:
        the value of the 'Location' attribute.
      See Also:
        `GitCloneTask.setLocation(String)`, `GitPackage.getGitCloneTask_Location()`
      Generated

    - #### setLocation

          public void setLocation(String newLocation)

      Specified by:
        `setLocation` in interface `GitCloneTask`
      Parameters:
        `newLocation` - the new value of the 'Location' attribute.
      See Also:
        `GitCloneTask.getLocation()`
      Generated

    - #### getRemoteName

          public String getRemoteName()

      Specified by:
        `getRemoteName` in interface `GitCloneTask`
      Returns:
        the value of the 'Remote Name' attribute.
      See Also:
        `GitCloneTask.setRemoteName(String)`, `GitPackage.getGitCloneTask_RemoteName()`
      Generated

    - #### setRemoteName

          public void setRemoteName(String newRemoteName)

      Specified by:
        `setRemoteName` in interface `GitCloneTask`
      Parameters:
        `newRemoteName` - the new value of the 'Remote Name' attribute.
      See Also:
        `GitCloneTask.getRemoteName()`
      Generated

    - #### getRemoteURI

          public String getRemoteURI()

      Specified by:
        `getRemoteURI` in interface `GitCloneTask`
      Returns:
        the value of the 'Remote URI' attribute.
      See Also:
        `GitCloneTask.setRemoteURI(String)`, `GitPackage.getGitCloneTask_RemoteURI()`
      Generated

    - #### setRemoteURI

          public void setRemoteURI(String newRemoteURI)

      Specified by:
        `setRemoteURI` in interface `GitCloneTask`
      Parameters:
        `newRemoteURI` - the new value of the 'Remote URI' attribute.
      See Also:
        `GitCloneTask.getRemoteURI()`
      Generated

    - #### getCheckoutBranch

          public String getCheckoutBranch()

      Specified by:
        `getCheckoutBranch` in interface `GitCloneTask`
      Returns:
        the value of the 'Checkout Branch' attribute.
      See Also:
        `GitCloneTask.setCheckoutBranch(String)`, `GitPackage.getGitCloneTask_CheckoutBranch()`
      Generated

    - #### setCheckoutBranch

          public void setCheckoutBranch(String newCheckoutBranch)

      Specified by:
        `setCheckoutBranch` in interface `GitCloneTask`
      Parameters:
        `newCheckoutBranch` - the new value of the 'Checkout Branch' attribute.
      See Also:
        `GitCloneTask.getCheckoutBranch()`
      Generated

    - #### getPushURI

          public String getPushURI()

      Specified by:
        `getPushURI` in interface `GitCloneTask`
      Returns:
        the value of the 'Push URI' attribute.
      See Also:
        `GitCloneTask.setPushURI(String)`, `GitPackage.getGitCloneTask_PushURI()`
      Generated

    - #### setPushURI

          public void setPushURI(String newPushURI)

      Specified by:
        `setPushURI` in interface `GitCloneTask`
      Parameters:
        `newPushURI` - the new value of the 'Push URI' attribute.
      See Also:
        `GitCloneTask.getPushURI()`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `SetupTaskImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `SetupTaskImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `SetupTaskImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `SetupTaskImpl`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SetupTaskImpl`
      Generated

    - #### isNeeded

          public boolean isNeeded(SetupTaskContext context)
                           throws Exception

      Specified by:
        `isNeeded` in interface `SetupTask`
      Throws:
        `Exception`

    - #### getOverrideToken

          public Object getOverrideToken()

      Description copied from class: `SetupTaskImpl`
      Subclasses may override to indicate that this task overrides another task with the same token.
      Specified by:
        `getOverrideToken` in interface `SetupTask`
      Overrides:
        `getOverrideToken` in class `SetupTaskImpl`
      See Also:
        `SetupTaskImpl.createToken(String)`

    - #### overrideFor

          public void overrideFor(SetupTask overriddenSetupTask)

      Specified by:
        `overrideFor` in interface `SetupTask`
      Overrides:
        `overrideFor` in class `SetupTaskImpl`

    - #### perform

          public void perform(SetupTaskContext context)
                       throws Exception

      Specified by:
        `perform` in interface `SetupTask`
      Throws:
        `Exception`

    - #### dispose

          public void dispose()

      Description copied from class: `SetupTaskImpl`
      Subclasses may override to reset this task to its initial state.
      Specified by:
        `dispose` in interface `SetupTask`
      Overrides:
        `dispose` in class `SetupTaskImpl`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html